package org.act.services.runtime.lifecycle;

public interface ILifecycle {
	
	public static final int BEFORE_START_EVENT = 0;
	
	
	public static final int START_EVENT = 1;
	
	
	public static final int AFTER_START_EVENT = 2;
	
	
	public static final int BEFORE_SHUTDOWN_EVENT = 3;
	
	
	public static final int SHUTDOWN_EVENT = 4;
	
	
	public static final int AFTER_SHUTDOWN_EVENT = 5;
	
	
	void start() throws LiftcycleException;
	
	
	void stop() throws LiftcycleException;
	
	
	void addLifecycleListener(ILifecycleListener listener);
	
	
	void removeLifecycleListener(ILifecycleListener listener);
	
	
	ILifecycleListener[] getLifecycleListeners();
	
}
