package org.act.services.runtime.lifecycle;
import java.util.EventObject;

public final class LifecycleEvent extends EventObject {
	
	private static final long serialVersionUID = -909034850947523931L;
	private int type;
	private Object data;
	public LifecycleEvent(ILifecycle lifecycle, int type) {
		this(lifecycle, type, null);
	}
	
	public LifecycleEvent(ILifecycle lifecycle, int type, Object data) {
		super(lifecycle);
		this.type = type;
		this.data = data;
	}
	
	public Object getData() {
		return data;
	}
	
	public void setData(Object data) {
		this.data = data;
	}
	
	public int getType() {
		return type;
	}
	
	public void setType(int type) {
		this.type = type;
	}
	
}
