
package org.act.services.transaction.information;


import java.util.Hashtable;
import java.util.Vector;
import org.act.services.transaction.manager.TxStatus;
import org.act.services.transaction.participant.*;
public class RunningData {
	 
    private static Hashtable TX_STATUS = new Hashtable();
    
        
        private static Hashtable transactions=new Hashtable();
    
    public static void setTxStatus(String txId, String status)
    {
    	TX_STATUS.put(txId, status);
    }
    
    public static void removeTX_STATUS(String txId)
    {
    	TX_STATUS.remove(txId);
    }
    
    public static String getTxStatus(String txId)
    {
        Object status = TX_STATUS.get(txId);
        return status == null ? TxStatus.TX_UNKNOWN : status.toString();
    }
    
    public static int getRunningTxNumber()
    {
        return TX_STATUS.size();
    }
    
    public static Vector getTxIdList()
    {
        Vector txList = new Vector(TX_STATUS.keySet());
        return txList;
    }
    
    public static boolean isRunningTx(String transactionId)
    {
        return TX_STATUS.containsKey(transactionId);
    }
    
    public static Hashtable getTX_STATUS()
    {
        return TX_STATUS;
    }
    
    public static void clearData()
    {
    	TX_STATUS.clear();
    }
        public static Hashtable getTransactions()
	{
    	return transactions;
	}
    public static void removeServiceObj(String id){
    	transactions.remove(id);
    }
    public static void putServiceTab(String id,Hashtable service){
    	transactions.put(id,service);
    }
    public static Object getServiceTab(String id){
    	return transactions.get(id);
    }
        
    public static Vector getInferiorList(String txID)
    {
    	Vector InferiorList = new Vector(((Hashtable)transactions.get(txID)).keySet());
        return InferiorList;
    }
    
    
    public static InferiorContext getInferiorContext(String txID,String servicename)
    {
    	Hashtable inferiorTable=(Hashtable)transactions.get(txID);
    	Participant InferiorInfo =(Participant)(inferiorTable.get(servicename));
    	return InferiorInfo.getIC();
    }
    
    }
