package org.act.services.workflow.transaction;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
public class TransactionDB {
	private static Connection conn;
	private static PreparedStatement statement;
	private static ResultSet rs;
	
	private static void connection() {
		try {
			Class.forName("com.mysql.jdbc.Driver");
		} catch (ClassNotFoundException e) {
						e.printStackTrace();
		}
				String url=System.getProperty("DBaddress");
		String user = System.getProperty("DBUser");
		String password = System.getProperty("DBPWD");
		try {
			conn = DriverManager.getConnection(url, user, password);
		} catch (SQLException e1) {
						e1.printStackTrace();
		}
	}
	private static void disconnection() {
		try {
			conn.close();
		} catch (SQLException e) {
						e.printStackTrace();
		}
	}
	public static void superiorRecord2DB(SuperiorRecord sr)throws SQLException{
		connection();
		if(!sr.isINDB()){
		statement = conn.prepareStatement("insert into superiortable (txid,starttime,stoptime,preparetime_b,prepare_time_e,confirmtime_b,confirmtime_e,canceltime_b," +
				"result,canceltime_e,status,deciderAddr) values(?,?,?,?,?,?,?,?,?,?,?,?)");
		
		statement.setString(1,sr.getTxid());
		statement.setString(2,sr.getStarttime());
		statement.setString(3,sr.getStoptime());
		statement.setLong(4,sr.getPreparetime_b());
		statement.setLong(5,sr.getPrepare_time_e());
		statement.setLong(6,sr.getConfirmtime_b());
		statement.setLong(7,sr.getConfirmtime_e());
		statement.setLong(8,sr.getCanceltime_b());
		statement.setString(9,sr.getResult());
		statement.setLong(10,sr.getCanceltime_e());
		statement.setString(11,sr.getStatus());
		statement.setString(12,sr.getDeciderAddr());
		statement.execute();
		statement.close();
		sr.setINDB(true);
		}
		else{
					}
		
		disconnection();
		
	}
	public static void inferiorRecord2DB(InferiorRecord ir)throws SQLException{
		connection();
		if(!ir.isInDB()){
			statement = conn.prepareStatement("insert into inferiortable (txid,inferiorId,status,preparetime_b,preparetime_e,confirmtime_b,confirmtime_e,canceltime_b," +
			"canceltime_e) values(?,?,?,?,?,?,?,?,?)");	
			
			statement.setString(1,ir.getTxid());
			statement.setString(2,ir.getInferiorId());
			statement.setString(3,ir.getStatus());
			statement.setLong(4,ir.getPreparetime_b());
			statement.setLong(5,ir.getPreparetime_e());
			statement.setLong(6,ir.getConfirmtime_b());
			statement.setLong(7,ir.getConfirmtime_e());
			statement.setLong(8,ir.getCanceltime_b());
			statement.setLong(9,ir.getCanceltime_e());
			statement.execute();
			statement.close();
			ir.setInDB(true);
			
		}
		else{
			
		}
		disconnection();
		
	}
	public static void main(String args[]){
		TransactionDB tb=new TransactionDB();
		SuperiorRecord sr=new SuperiorRecord("test6");
		sr.setCanceltime_b(12);
		sr.setCanceltime_e(4);
		sr.setResult("test5");
		sr.setStatus("test5");
		sr.setDeciderAddr("test5");
		InferiorRecord ir=new InferiorRecord("test6");
		ir.setCanceltime_b(45);
		ir.setCanceltime_e(46);
		ir.setStatus("test5");
		ir.setInferiorId("test5");
		try{
			superiorRecord2DB(sr);
			inferiorRecord2DB(ir);
			
		}catch(Exception e){
			e.printStackTrace();
		}
		
		
	}
	
}
