
package org.act.services.protocol.client.http;
import java.io.BufferedReader;
import java.io.ByteArrayInputStream;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.OutputStream;
import java.net.MalformedURLException;
import java.net.URL;
import java.net.URLConnection;
import org.act.metaset.Metaset;
import org.act.metaset.MetasetParser;
import org.act.services.protocol.client.ICallClient;

public class HttpCallClient implements ICallClient {
    
    public HttpCallClient() {
        super();
            }
    
    public Metaset call(URL addr, Metaset message)     {
    
	
				StringBuffer document = new StringBuffer();
			
			
				URLConnection con=null;
                try {
                    con = addr.openConnection();
                    
               
                con.setDoOutput(true);
				con.setDoInput(true);
				con.connect();
				OutputStream out = con.getOutputStream();
				out.write(message.toXML().getBytes());
				out.flush();
								BufferedReader reader = new BufferedReader(
						new InputStreamReader(con.getInputStream()));
				String line = null;
				while ((line = reader.readLine()) != null){
					document.append(line + "\n");
				}
				out.close();
				reader.close();
                } catch (IOException e) {
                                        e.printStackTrace();
                }
                
                if(document.length()==0){
                    try {
                        throw new HttpCallClientException();
                    } catch (HttpCallClientException e1) {
                                                e1.printStackTrace();
                    }
                }
				Metaset resm = MetasetParser.getInstance()
				.parse(
						new ByteArrayInputStream(document.toString()
								.getBytes()));
				
			
        return resm;
		
    }
    
    public Metaset call(String addr, Metaset message) {
    	 Metaset resm=null;
        try {
            URL url=new URL(addr);
             resm= call(url,message);
        } catch (MalformedURLException e) {
                        e.printStackTrace();
        }
        return resm;
    }
    
}
