package org.act.services.protocol.http;
import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.OutputStream;
import java.io.PrintWriter;
import java.util.Locale;
import javax.servlet.ServletOutputStream;
import javax.servlet.http.Cookie;
import javax.servlet.http.HttpServletResponse;

public class HttpResponseMessageContext implements HttpServletResponse {
    private int mStatus = 0;
    private String contentType = null;
    private MimeHeaders mHeaders = new MimeHeaders();
    
        private OutputStream innerOS = null;    public HttpResponseMessageContext() {
    }
    public void addCookie(Cookie cookie) {
        
        throw new java.lang.UnsupportedOperationException("Method addCookie() not yet implemented.");
    }
    public boolean containsHeader(String name) {
        
        throw new java.lang.UnsupportedOperationException("Method containsHeader() not yet implemented.");
    }
    public String encodeURL(String url) {
        
        throw new java.lang.UnsupportedOperationException("Method encodeURL() not yet implemented.");
    }
    public String encodeRedirectURL(String url) {
        
        throw new java.lang.UnsupportedOperationException("Method encodeRedirectURL() not yet implemented.");
    }
    public String encodeUrl(String url) {
        
        throw new java.lang.UnsupportedOperationException("Method encodeUrl() not yet implemented.");
    }
    public String encodeRedirectUrl(String url) {
        
        throw new java.lang.UnsupportedOperationException("Method encodeRedirectUrl() not yet implemented.");
    }
    public void sendError(int sc, String msg) throws IOException {
        
        throw new java.lang.UnsupportedOperationException("Method sendError() not yet implemented.");
    }
    public void sendError(int sc) throws IOException {
        
        throw new java.lang.UnsupportedOperationException("Method sendError() not yet implemented.");
    }
    public void sendRedirect(String location) throws IOException {
        
        throw new java.lang.UnsupportedOperationException("Method sendRedirect() not yet implemented.");
    }
    public void setDateHeader(String name, long date) {
        
        throw new java.lang.UnsupportedOperationException("Method setDateHeader() not yet implemented.");
    }
    public void addDateHeader(String name, long date) {
        
        throw new java.lang.UnsupportedOperationException("Method addDateHeader() not yet implemented.");
    }
    public void setHeader(String name, String value) {
        
        throw new java.lang.UnsupportedOperationException("Method setHeader() not yet implemented.");
    }
    public void setIntHeader(String name, int value) {
        
        throw new java.lang.UnsupportedOperationException("Method setIntHeader() not yet implemented.");
    }
    public void addIntHeader(String name, int value) {
        
        throw new java.lang.UnsupportedOperationException("Method addIntHeader() not yet implemented.");
    }
    public void setStatus(int sc) {
        mStatus = sc;
    }
    public void setOutputStream(OutputStream ios) {
    	this.innerOS = ios;
    }
    public void setStatus(int sc, String sm) {
        
        throw new java.lang.UnsupportedOperationException("Method setStatus() not yet implemented.");
    }
    public String getCharacterEncoding() {
        
        throw new java.lang.UnsupportedOperationException("Method getCharacterEncoding() not yet implemented.");
    }
    public PrintWriter getWriter() throws IOException {
        
        throw new java.lang.UnsupportedOperationException("Method getWriter() not yet implemented.");
    }
    public void setContentLength(int len) {
        
        throw new java.lang.UnsupportedOperationException("Method setContentLength() not yet implemented.");
    }
    public void setBufferSize(int size) {
        
        throw new java.lang.UnsupportedOperationException("Method setBufferSize() not yet implemented.");
    }
    public int getBufferSize() {
        
        throw new java.lang.UnsupportedOperationException("Method getBufferSize() not yet implemented.");
    }
    public void flushBuffer() throws IOException {
        
        throw new java.lang.UnsupportedOperationException("Method flushBuffer() not yet implemented.");
    }
    public void resetBuffer() {
        
        throw new java.lang.UnsupportedOperationException("Method resetBuffer() not yet implemented.");
    }
    public boolean isCommitted() {
        
        throw new java.lang.UnsupportedOperationException("Method isCommitted() not yet implemented.");
    }
    public void reset() {
        
        throw new java.lang.UnsupportedOperationException("Method reset() not yet implemented.");
    }
    public void setLocale(Locale loc) {
        
        throw new java.lang.UnsupportedOperationException("Method setLocale() not yet implemented.");
    }
    public Locale getLocale() {
        
        throw new java.lang.UnsupportedOperationException("Method getLocale() not yet implemented.");
    }
    public ServletOutputStream getOutputStream() throws IOException {
        return new ServletOutputStream() {
            public void write(int c) throws IOException {
                innerOS.write(c);
            }
            public void flush() throws IOException {
                innerOS.flush();
            }
            public void close() throws IOException {
                innerOS.close();
            }
        };
    }
    public void addHeader(String name, String value) {
        this.mHeaders.addHeader( name, value );
    }
	public void setMimeHeaders( org.act.services.protocol.http.MimeHeaders headers ) {
		this.mHeaders = headers;
	}
	
    public void setContentType(String type) {
            	contentType = type;
    }
    public byte[] getMessageContent() {
        return ((ByteArrayOutputStream)this.innerOS).toByteArray();
    }
    public MimeHeaders getMimeHeaders() {
        return this.mHeaders;
    }
    
    public int getStatus() {
        return this.mStatus;
    }
    
    public String getContentType() {
        return contentType;
    }
    
    public void setCharacterEncoding(String string) {
    }
}
