
package org.act.services.workflow.management;
import java.text.DateFormat;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;
import org.act.services.wsrm.P2PRMP;

public class SoapInfo {
	
	
	public final int StateOpen  = 0;
	public final int StateClose = 1;
	
	public static String getExpriyTime() {
		DateFormat formatter= new SimpleDateFormat("yyyy-mm-dd HH:mm:ss");
		return formatter.format(P2PRMP.getInstance().getExpriyTime());
	}
	
	public static String setExpiryTime(String expirytime) {
		DateFormat formatter= new SimpleDateFormat("yyyy-mm-dd HH:mm:ss");
		Date date=null;
		try {
			date=formatter.parse(expirytime);
		} catch (ParseException e) {
									return "parse Error";
		}
		P2PRMP.getInstance().setExpiryTime(date);
		if(getExpriyTime().equalsIgnoreCase(expirytime))
			return "success";
		else
			return "fail";
		
	}
	
	public static boolean getReplyPatternValueRespone() {
		return P2PRMP.getInstance().getReplyPatternValueRespone();
	}
	
	public static String setReplyPatternValueResponse(boolean b) {
		P2PRMP.getInstance().setReplyPatternValueResponse( b);
		if(getReplyPatternValueRespone()==b)
			return "success";
		else
			return "fail";
	}
	
	public static boolean getReplyPatternValueCallback() {
		return P2PRMP.getInstance().getReplyPatternValueCallback();
	}
	
	public static  String setReplyPatternValueCallback(boolean b) {
		P2PRMP.getInstance().setReplyPatternValueCallback(b);
		if(getReplyPatternValueCallback()==b)
			return "success";
		else
			return "fail";
	}
	
	public static boolean getReplyPatternValuePoll() {
		return P2PRMP.getInstance().getReplyPatternValuePoll();
	}
	
	public static String setReplyPatternValuePoll(boolean b) {
		P2PRMP.getInstance().setReplyPatternValuePoll(b);
		if(getReplyPatternValuePoll()==b)
			return "success";
		else
			return "fail";
	}
	public static String getGroupExpiryTime() {
		DateFormat formatter= new SimpleDateFormat("yyyy-mm-dd HH:mm:ss");
		return formatter.format(P2PRMP.getInstance().getGroupExpiryTime());		
	}
	
	public static  String setGroupExpiryTime(String expirytime) {
		DateFormat formatter= new SimpleDateFormat("yyyy-mm-dd HH:mm:ss");
		Date date=null;
		try {
			date=formatter.parse(expirytime);
		} catch (ParseException e) {
									return "parse Error";
		}
		P2PRMP.getInstance().setGroupExpiryTime(date);
		if(getGroupExpiryTime().equalsIgnoreCase(expirytime))
			return "success";
		else
			return "fail";
		
	}
	
	public static int getGroupMaxIdleDuration() {
		return P2PRMP.getInstance().getGroupMaxIdleDuration();
	}
	
	public static String setGroupMaxIdleDuration(int seconds) {
		P2PRMP.getInstance().setGroupMaxIdleDuration(seconds);
		if(getGroupMaxIdleDuration()==seconds)
			return "success";
		else
			return "fail";
	}
	
	public static boolean getGuaranteedDelivery() {
		return P2PRMP.getInstance().getGuaranteedDelivery();
	}
	
	public static  String setGuaranteedDelivery(boolean b) {
		P2PRMP.getInstance().setGuaranteedDelivery(b);
		if(getGuaranteedDelivery()==b)
			return "success";
		else
			return "fail";
	}
	
	public static boolean getNoDuplicateDelivery() {
		return P2PRMP.getInstance().getNoDuplicateDelivery();
	}
	
	public static  String setNoDuplicateDelivery(boolean b) {
		P2PRMP.getInstance().setNoDuplicateDelivery(b);
		if(getNoDuplicateDelivery()==b)
			return "success";
		else
			return "fail";
	}
	
	public static boolean getExactlOnceDelivery() {
		return P2PRMP.getInstance().getExactlOnceDelivery();
	}
	
	public static  String setExactlOnceDelivery(boolean b) {
		P2PRMP.getInstance().setExactlOnceDelivery(b);
		if(getExactlOnceDelivery()==b)
			return "success";
		else
			return "fail";
	}
	
	public static boolean getOrderedDelivery() {
		return P2PRMP.getInstance().getOrderedDelivery();
	}
	
	public static  String setOrderedDelivery(boolean b) {
		P2PRMP.getInstance().setOrderedDelivery(b);
		if(getOrderedDelivery()==b)
			return "success";
		else
			return "fail";
	}	
	
	
	public static int getMaxCacheCapacity()
	{
		return P2PRMP.getInstance().getMaxCacheCapacity();
	}
	
	
	public static String setMaxCacheCapacity(int capacity)
	{
		P2PRMP.getInstance().setMaxCacheCapacity(capacity);
		if(getMaxCacheCapacity()==capacity)
			return "success";
		else
			return "fail";
	}
	
	public static int getRmpState()
	{
		return P2PRMP.getInstance().getRmpState();
	}
	
	public static String setRmpState(int state)
	{
		P2PRMP.getInstance().setRmpState(state);
		if(getRmpState()==state)
			return "success";
		else
			return "fail";
	}
	
	public static String  getRMPCacheNum()
	{
		String num=String.valueOf(P2PRMP.getInstance().getSendRMCache().size())+"#"
				+String.valueOf(P2PRMP.getInstance().getSendRMReplyCache().size())+"#"
				+String.valueOf(P2PRMP.getInstance().getReceiveRMReplyCache().size())+"#"
				+String.valueOf(P2PRMP.getInstance().getReceiveRMCache().size())+"#";
		return num;
	}
	
	
	
}
