
package org.act.services.workflow.record;

public class WorkflowRecord {
	private String type;
	private String status;
	private String beginTime;
	private String finishTime;
	private boolean inDB;
	
    
	public WorkflowRecord() {
		this.type = null;
		this.status = null;
		this.beginTime = null;
		this.finishTime = null;
		this.inDB = false;
	}
    
	
	public WorkflowRecord(String type, String status, String beginTime,
			String finishTime) {
		this.type = type;
		this.status = status;
		this.beginTime = beginTime;
		this.finishTime = finishTime;
		this.inDB = false;
	}
	
	public String getBeginTime() {
		return beginTime;
	}
	
	public void setBeginTime(String beginTime) {
		this.beginTime = beginTime;
	}
	
	public String getFinishTime() {
		return finishTime;
	}
	
	public void setFinishTime(String finishTime) {
		this.finishTime = finishTime;
	}
	
	public String getStatus() {
		return status;
	}
	
	public void setStatus(String status) {
		this.status = status;
	}
	
	public String getType() {
		return type;
	}
	
	public void setType(String type) {
		this.type = type;
	}
	
	public boolean isInDB() {
		return inDB;
	}
	
	
	public void setInDB(boolean inDB) {
		this.inDB = inDB;
	}
}
